<!--#include file="FFunction.jsp" -->
<!--#include file="inc/tishi.jsp" -->
<!--#include file="FHeadTitle.jsp"-->
    <style type="text/css" media="screen">
	@import url("css/v1.2.php@t=2006512.css");
	@import url("home/css/layout.css?t=20050908");
		@import url("home/helpcenter.css?t=20050908");
</style>
<%
'shop_rd 5,"95%" 
'//
pidsid=request.form("pro_id")
if pidsid="" then
width="500"
my_bt="<font color=red>操 作 失 败 ！</font><br>·<b>对不起！参数错误！！！</b><br>·请确保您的游览连接来自本网站！"
my_nr="<meta http-equiv=refresh content=5;url=index.jsp><img src=../../pics/2k5/sys/component/icon_arrow_r.gif><a href=../index.jsp>返回首页</a><br><img src=../../pics/2k5/sys/component/icon_arrow_r.gif><a href=# onclick='javascript:window.history.go(-1)'>返回上一页</a>"
xitongtishi()
Response.Write "<br><br><br>"
else
pids=split(pidsid,",")
cp=ubound(pids)
if cp<1 or cp>3 then
width="500"
my_bt="<font color=red>操 作 失 败 ！</font><br>·<b>对不起！参数错误！！！</b><br>·请确保您的游览连接来自本网站！"
my_nr="<meta http-equiv=refresh content=5;url=index.jsp><img src=../../pics/2k5/sys/component/icon_arrow_r.gif><a href=../index.jsp>返回首页</a><br><img src=../../pics/2k5/sys/component/icon_arrow_r.gif><a href=# onclick='javascript:window.history.go(-1)'>返回上一页</a>"
xitongtishi()
Response.Write "<br><br><br>"
else
for i=0 to cp
set rs = conn.execute("select id from chanpin where id="&clng(left(pids(i),10))&"")
if rs.eof then
cp_yz="no"
end if
rs.close
set rs=nothing
next
if cp_yz="no" then
width="500"
my_bt="<font color=red>操 作 失 败 ！</font><br>·<b>对不起！参数错误！！！</b><br>·请确保您的游览连接来自本网站！"
my_nr="<meta http-equiv=refresh content=5;url=index.jsp><img src=../../pics/2k5/sys/component/icon_arrow_r.gif><a href=../index.jsp>返回首页</a><br><img src=../../pics/2k5/sys/component/icon_arrow_r.gif><a href=# onclick='javascript:window.history.go(-1)'>返回上一页</a>"
xitongtishi()
Response.Write "<br><br><br>"
else
k=FormatNumber(640/(cp+1),0)
%>
<table width="98%" border="0" align="center" cellpadding="0" cellspacing="0">
  <tr bgcolor="#FF7300"> 
    <td height="3" colspan="2"></td>
  </tr>
  <tr valign="middle"> 
    <td height="15" colspan="2"><img src="image/top_cp_bj.gif" width="100%" height="13"></td>
  </tr>
  <tr> 
    <td width="75%" height="25" valign="top" class=txt_14>&nbsp;&nbsp;<img src="image/bijiao_top.gif" width="21" height="15" align="absmiddle"> 
      您选择了 <b><font color=red><%=cp+1%></font></b> 款产品进行比较</td>
    <td width="25%" align="center" valign="top" nowrap><a href="#" onClick="javascript:self.close();">【关闭此产品比较窗口】</a>&nbsp;&nbsp;</td>
  </tr>
  <tr> 
    <td height="10" colspan="2" valign="top"><img src="image/top_cp_bj2.gif" width="100%" height="3"></td>
  </tr>
</table>
<table width="98%" border="0" align="center" cellpadding="4" cellspacing="1" bgcolor="#CCCCCC">
  <tr valign="middle"> 
    <td width="120" height="25" align="center" bgcolor="#FFFFF0">产品名称</td>
    <%bj_mc()%>
  </tr>
  <tr valign="middle"> 
    <td width="120" height="25" align="center" bgcolor="#FFFFF0">剩余时间</td>
    <%bj_sj()%>
  </tr>
  <tr valign="middle"> 
    <td width="120" height="25" align="center" bgcolor="#FFFFF0">产品价格</td>
    <%bj_jg()%>
  </tr>
  <tr valign="middle"> 
    <td width="120" height="25" align="center" bgcolor="#FFFFF0">销售方式</td>
    <%bj_fs()%>
  </tr>
  <tr valign="middle"> 
    <td width="120" height="25" align="center" bgcolor="#FFFFF0">产品人气</td>
    <%bj_rq()%>
  </tr>
  <tr valign="middle"> 
    <td width="120" height="25" align="center" bgcolor="#FFFFF0">卖家信息</td>
    <%bj_user()%>
  </tr>
  <tr valign="middle"> 
    <td width="120" height="25" align="center" bgcolor="#FFFFF0">产品描述</td>
    <%bj_jp()%>
  </tr>
</table>
<table width="98%" align="center" cellpadding="0" cellspacing="0">
  <tr> 
    <td height="35" valign="middle"><b>提示：</b>价格可能包含适用销售税。 请查看物品详细资料以获得更多信息。</td>
    <td width="250" align="center" valign="middle"><a href="#" onClick="javascript:self.close();"><b></b>【关闭此产品比较窗口】</a></td>
  </tr>
</table>
<%end if
end if
end if
%>
<!--#include file="bottom.jsp" -->
<%
'//子程序调用
sub bj_mc()
for j=0 to cp
set rs = conn.execute("select id,mc,xt from chanpin where id="&clng(left(pids(j),10))&"")
Response.Write "<td bgcolor=#FFFFFF width="&k&" height=25 align=center valign=top><TABLE cellSpacing=0 cellPadding=0 width=100% border=0><tr><td><font color=red size='+1'><strong>"&j+1&"</strong></font></td></tr></table><div style='BORDER-RIGHT: #f1f1f1 1px solid; PADDING-RIGHT: 4px; BORDER-TOP: #f1f1f1 1px solid; PADDING-LEFT: 4px; PADDING-BOTTOM: 4px; BORDER-LEFT: #f1f1f1 1px solid; WIDTH: 85px; PADDING-TOP: 4px; BORDER-BOTTOM: #f1f1f1 1px solid'><a href=goodsinfo.jsp?id="&encode(rs("id"))&" title="&rs("mc")&" onFocus=this.blur() target=_blank><img border=0 src=members/images/upimages/"&rs("xt")&" width=75 height=75></a></div><a href=xiangxi.jsp?id="&encode(rs("id"))&" title="&rs("mc")&" target=_blank><b>"&rs("mc")&"</b></a></td>"
rs.close
set rs=nothing
next
end sub

sub bj_sj()
for i=0 to cp
set rs = conn.execute("select sj2 from chanpin where id="&clng(left(pids(i),10))&"")
Response.Write "<td bgcolor=#FFFFFF width="&k&" height=25>"
date2 = rs("sj2")
date1 = now()
sDate = DateDiff("s", date1, date2) '总秒数
sDay = fix(sDate/60/60/24) '天数
sDate1 = sDate mod 60*60*24 '余数
sHour = fix(sDate1/60/60) '小时
sDate2 = sDate1 mod 60*60 '余数
sMinute = fix(sDate2/60) '分钟
sDate3 = sDate2 mod 60 '余数
if sDate3>=0 then
response.write ""&sDay & "天" & sHour & "小时" & sMinute & "分钟" & sDate3 & "秒"
end if
if sDate3 < 0 then
response.write "<font color=red>时间到，已结束销售！</font>"
end if
Response.Write "</td>"
rs.close
set rs=nothing
next
end sub

sub bj_jg()
for i=0 to cp
set rs = conn.execute("select fs,jg1,jg2 from chanpin where id="&clng(left(pids(i),10))&"")
Response.Write "<td bgcolor=#FFFFFF width="&k&" height=25>"
Select case rs(0)
case 0
Response.Write ("市场价：<s>￥" & rs(1) & "元</s><br>会员价：<font color=#FF3333><b>￥" & rs(2) & "元")
case 1
Response.Write ("起拍价：<s>￥" & rs(1) & "元</s><br>当前价：<font color=#FF3333><b>￥" & rs(2) & "元")
case 2
Response.Write "&nbsp;&nbsp;议价"
End Select
Response.Write "</td>"
rs.close
set rs=nothing
next
end sub

sub bj_fs()
for i=0 to cp
set rs = conn.execute("select fs from chanpin where id="&clng(left(pids(i),10))&"")
Response.Write "<td bgcolor=#FFFFFF width="&k&" height=25 align=center>"
Select case rs(0)
case 0
Response.Write "<img src=image/yikoujia_icon.gif align=absmiddle>"
case 1
Response.Write "<img src=image/paimai_icon.gif align=absmiddle>"
case 2
Response.Write "<img src=image/yijia_icon.gif align=absmiddle>"
End Select
Response.Write "</td>"
rs.close
set rs=nothing
next
end sub

sub bj_rq()
for i=0 to cp
set rs = conn.execute("select rq from chanpin where id="&clng(left(pids(i),10))&"")
Response.Write "<td bgcolor=#FFFFFF width="&k&" height=25 align=center>"&rs(0)&" 次</td>"
rs.close
set rs=nothing
next
end sub

sub bj_user()
for i=0 to cp
set rs = conn.execute("select userid from chanpin where id="&clng(left(pids(i),10))&"")
set rsuser = conn.execute("select name,huiyuan,xing,rz,sj from shop where id="&rs(0)&"")
Response.Write "<td bgcolor=#FFFFFF width="&k&" height=25 valign=top>"&_
"<a href=shop/1/myshop.jsp?shopid="&rs("userid")&" target=_blank>"&rsuser("name")&"</a>"&_
"<br><img src=../image/xing/"&rsuser("xing")&"stars.gif>"&_
"<br>掌柜："&rsuser("huiyuan")&"&nbsp;<SCRIPT src='../zhanneixin/jst.jsp?huiyuan="&rsuser("huiyuan")&"'></SCRIPT>"&_
"<br>创建:"&formatdatetime(rsuser("sj"),2)&""
Select case rsuser("rz")
case 1
Response.Write "<br>&nbsp;<img src=image/yingyezhizhao.gif width=34 height=20 border=0 align=bottom>&nbsp;<a href=support.jsp?key=实名 target=_blank>企业实名认证卖家</a>"
case 2
Response.Write "<br>&nbsp;<img src=image/shenfenzheng.gif width=34 height=20 border=0 align=bottom>&nbsp;<a href=support.jsp?key=实名 target=_blank>个人实名认证卖家</a>"
case else
Response.Write "<br>&nbsp;<img src=image/not_rz.gif width=34 height=20 border=0 align=bottom>&nbsp;<a href=support.jsp?key=实名 target=_blank>未实名认证卖家</a>"
End Select
Response.Write "<br><br><img src=image/arrow03.gif border=0 align=absmiddle><a href=../user/lianxi.jsp?userid="&rs(0)&" target=_blank>与卖家取得联系</a>"&_
"<br><img src=image/arrow03.gif border=0 align=absmiddle><a href=../user/guestbook.jsp?userid="&rs(0)&" target=_blank>向卖家提问</a>"&_
"</td>"
rsuser.close
set rsuser=nothing
rs.close
set rs=nothing
next
end sub

sub bj_jp()
for i=0 to cp
set rs = conn.execute("select jp from chanpin where id="&clng(left(pids(i),10))&"")
Response.Write "<td bgcolor=#FFFFFF width="&k&" height=25 valign=top style='word-break: break-all'>"&Replace(Replace(rs(0), chr(32), "&nbsp;"), vbCrLf, "<br>")&"</td>"
rs.close
set rs=nothing
next
end sub%>
